# Calculate future occurrences based on the new schedules and the old frequencies

GET /v3/schedules/calendar

Endpoint: GET /v3/schedules/calendar
Security: API_Key

## Query parameters:

  - `localStartDateTime` (string)
    ISO-8601 Formatted date time implicitly in the user's local timezone (ex: YYYY-MM-DDTHH:MM:SS/2020-10-30T12:00:00)

  - `localEndDateTime` (string)
    ISO-8601 Formatted date time implicitly in the user's local timezone (ex: YYYY-MM-DDTHH:MM:SS/2020-10-30T12:00:00)

## Response 200 fields (application/json):

  - `itemName` (string)
    Name of the scheduled item.

  - `itemId` (integer)
    Item id of scheduled item.

  - `itemType` (string)
    Type of data source item.
    Enum: "AUDIT", "WEB_JOURNEY"

  - `runs` (array)

  - `runs.runId` (integer)
    Example: 33010

  - `runs.startedAt` (string)
    Date/time of when an item was started

  - `futureOccurrences` (array)

  - `folderId` (integer)
    ID of a folder
    Example: 123

  - `subFolderId` (integer)
    The ID of the subfolder under which the WebJourney/Audit is within.

  - `userId` (integer)
    ID of a user
    Example: 123

  - `labels` (array)
    Example: [223]

  - `isMonitoredByScriptServices` (boolean)
    Whether the journey is monitored by script services.

  - `schedule` (object)
    Schedule object with exception dates for the calendar endpoint.

  - `schedule.dtStart` (string, required)
    Date of first desired start (if in range of recurrence rule).

  - `schedule.tzId` (string, required)
    Timezone identifier compliant with tz database (ex. America/New_York). https://en.wikipedia.org/wiki/List_of_tz_database_time_zones

  - `schedule.recurrenceRule` (string, required)
    An RFC-5545 (https://www.rfc-editor.org/rfc/rfc5545#appendix-A) compliant recurrence rule string.

  - `schedule.isPaused` (boolean, required)
    Whether the schedule is paused or not.

  - `schedule.exceptions` (array, required)
    List of dates to skip when scheduling.

  - `schedule.description` (string, required)
    A description of the schedule.

## Response 400 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 401 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)

## Response 403 fields (application/json):

  - `timestamp` (string)

  - `message` (string)

  - `details` (string)

  - `validationReport` (object)


